package com.steerinfo.auth.shiro.realm;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import com.steerinfo.framework.controller.RESTfulResult;

@FeignClient(value = "sso-service", fallback = OssServiceHystrix.class)
public interface OssServiceClient {
	@RequestMapping(value="/v1/sysusers/{id}", method=RequestMethod.GET)
    public RESTfulResult getUser(@PathVariable("id") String id);
	
	@RequestMapping(value="/v1/sysusers/user/token/", method=RequestMethod.GET)
    public RESTfulResult getUserByToken();
}
