package com.steerinfo.ems.cordasconfiguration.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.ems.cordasconfiguration.model.CordasConfiguration;
import com.steerinfo.ems.cordasconfiguration.mapper.CordasConfigurationMapper;
import com.steerinfo.ems.cordasconfiguration.service.ICordasConfigurationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;

/**
 * CordasConfiguration服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-12-23 10:30
 * 类描述
 * 修订历史：
 * 日期：2019-12-23
 * 作者：generator
 * 参考：
 * 描述：CordasConfiguration服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "cordasConfigurationService")
public class CordasConfigurationServiceImpl extends BaseServiceImpl<CordasConfiguration, String> implements ICordasConfigurationService {

    @Autowired
    private CordasConfigurationMapper cordasConfigurationMapper;

    @Override
    protected IBaseMapper<CordasConfiguration, String> getMapper() {
        return cordasConfigurationMapper;
    }
}
